#' @title Hydrological data for Bass River catchment in Victoria, Australia
#'
#' @name BassRiverData
#' @description Streamflow, rainfall and PET data for Bass River catchment
#' (227219) in Victoria, Australia. Originally obtained from Francis Chiew.
#' @docType data
#' @usage data(BassRiver)
#' @references \url{https://github.com/eachonly/Robust-Gauss-Newton-Algorithm},
#' \url{http://www.bom.gov.au/water/hrs/}
#' @format List containing numerical vectors for
#'         precipitation (\code{Rain.mm}),
#'         potential evapotranspiration (\code{ET.mm}),
#'         and runoff (\code{Runoff.mm.day}), and
#'         date vector (\code{Date})
"BassRiverData"

